<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/linearLayout"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@drawable/xml_background_toolupgrade"
    android:orientation="vertical"
    android:padding="2dp">

    <TextView
        android:id="@+id/tool_upgrade_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:text="@string/tool_upgrade_title_placeholder"
        android:textSize="17sp"/>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/tool_upgrade_imageview"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_gravity="center"
            android:layout_marginRight="3dp"
            android:layout_weight="1"
            android:src="@drawable/tools_ramp_button"/>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tool_upgrade_value_old"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/placeholder_percent"
                    android:textSize="16sp"/>

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_gravity="center_vertical|center_horizontal"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:src="@drawable/guis_arrow_green"/>

                <TextView
                    android:id="@+id/tool_upgrade_value_new"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:text="@string/placeholder_percent"
                    android:textSize="16sp"/>
            </LinearLayout>

            <include
                android:id="@+id/tool_upgrade_pricebutton"
                layout="@layout/price_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"/>
        </LinearLayout>
    </LinearLayout>

</LinearLayout>